Skip to content
Back to top
View this page

# BackgroundTypeFill

Added in version 21.2.

class telegram.BackgroundTypeFill(fill, dark_theme_dimming, *, api_kwargs=None)

  Bases: `telegram.BackgroundType`

  The background is automatically filled based on the selected colors.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `fill` and `dark_theme_dimming` are equal.

  Available In

  `telegram.ChatBackground.type`

  Added in version 21.2.

  Parameters:

    - fill (`telegram.BackgroundFill`) – The background fill.

    - dark_theme_dimming (`int`) – Dimming of the background in dark themes, as a percentage; 0-`100`.

  type

    Type of the background. Always `FILL`.

    Type:

      `str`

  fill

    The background fill.

    Type:

      `telegram.BackgroundFill`

  dark_theme_dimming

    Dimming of the background in dark themes, as a percentage; 0-`100`.

    Type:

      `int`